summaryrefslogtreecommitdiff
path: root/neozip/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
diff options
context:
space:
mode:
authorMehmet Samet Duman <yongdohyun@projecttick.org>2026-04-02 19:56:09 +0300
committerMehmet Samet Duman <yongdohyun@projecttick.org>2026-04-02 19:56:09 +0300
commit7fb132859fda54aa96bc9dd46d302b343eeb5a02 (patch)
treeb43ae77d7451fb470a260c03349a1caf2846c5e5 /neozip/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
parentb1e34e861b5d732afe828d58aad2c638135061fd (diff)
parentc2712b8a345191f6ed79558c089777df94590087 (diff)
downloadProject-Tick-7fb132859fda54aa96bc9dd46d302b343eeb5a02.tar.gz
Project-Tick-7fb132859fda54aa96bc9dd46d302b343eeb5a02.zip
Add 'neozip/' from commit 'c2712b8a345191f6ed79558c089777df94590087'
git-subtree-dir: neozip git-subtree-mainline: b1e34e861b5d732afe828d58aad2c638135061fd git-subtree-split: c2712b8a345191f6ed79558c089777df94590087
Diffstat (limited to 'neozip/arch/s390/self-hosted-builder/actions-runner-rebuild.sh')
-rw-r--r--neozip/arch/s390/self-hosted-builder/actions-runner-rebuild.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/neozip/arch/s390/self-hosted-builder/actions-runner-rebuild.sh b/neozip/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
new file mode 100644
index 0000000000..7fded31785
--- /dev/null
+++ b/neozip/arch/s390/self-hosted-builder/actions-runner-rebuild.sh
@@ -0,0 +1,52 @@
+#!/usr/bin/bash
+set -ex
+
+TMPDIR="$(mktemp -d)"
+
+if [ -f actions-runner.Dockerfile ]; then
+ MODE=1
+ cp actions-runner.Dockerfile actions-runner entrypoint $TMPDIR
+ cd $TMPDIR
+else
+ MODE=2
+ cd $TMPDIR
+ wget https://raw.githubusercontent.com/zlib-ng/zlib-ng/refs/heads/develop/arch/s390/self-hosted-builder/actions-runner.Dockerfile
+ wget https://raw.githubusercontent.com/zlib-ng/zlib-ng/refs/heads/develop/arch/s390/self-hosted-builder/actions-runner
+ wget https://raw.githubusercontent.com/zlib-ng/zlib-ng/refs/heads/develop/arch/s390/self-hosted-builder/entrypoint
+fi
+
+# Stop service
+systemctl stop actions-runner || true
+
+# Delete old container
+podman container rm gaplib-actions-runner || true
+
+# Delete old image
+podman image rm localhost/zlib-ng/actions-runner || true
+
+# Prune all unused podman data
+podman system prune -f || true
+
+# Build new image
+podman build --squash -f actions-runner.Dockerfile --tag zlib-ng/actions-runner . 2>&1 | tee /var/log/actions-runner-build.log
+
+# Create new container
+podman create --replace --name=gaplib-actions-runner --env-file=/etc/actions-runner --init \
+ zlib-ng/actions-runner 2>&1 | tee -a /var/log/actions-runner-build.log
+
+# Start service
+systemctl start actions-runner || true
+
+# Cleanup
+podman image prune -af || true
+
+# Clean up tempfile
+if [ "$MODE" == "2" ] ; then
+ cd $TMPDIR
+ rm actions-runner.Dockerfile
+ rm actions-runner
+ rm entrypoint
+ cd ..
+ rmdir $TMPDIR
+ echo "Deleted tempfiles."
+fi